Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.value
Class ComputableValue

    java.lang.Object
      org.exist.xquery.value.AtomicValue
          org.exist.xquery.value.ComputableValue

All Implemented Interfaces:
  java.lang.Comparable, Indexable, Item, Sequence

Direct Known Subclasses:
  AbstractDateTimeValue, DurationValue, NumericValue

public abstract class ComputableValue
extends AtomicValue

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary

Fields inherited from class org.exist.xquery.value.AtomicValue
`EMPTY_VALUE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`ComputableValue()`

Method Summary
`abstract int` | `compareTo(java.text.Collator collator, AtomicValue other)`
`abstract boolean` | `compareTo(java.text.Collator collator, int operator, AtomicValue other)`
`abstract AtomicValue` | `convertTo(int requiredType)` Convert this item into an atomic value, whose type corresponds to the specified target type.
`abstract ComputableValue` | `div(ComputableValue other)`
`abstract java.lang.String` | `getStringValue()` Return the string value of this item (see the definition of string value in XPath).
`abstract AtomicValue` | `max(java.text.Collator collator, AtomicValue other)`
`abstract AtomicValue` | `min(java.text.Collator collator, AtomicValue other)`
`abstract ComputableValue` | `minus(ComputableValue other)`
`abstract ComputableValue` | `mult(ComputableValue other)`
`abstract ComputableValue` | `plus(ComputableValue other)`

Methods inherited from class org.exist.xquery.value.AtomicValue
`add, addAll, atomize, clearContext, compareTo, contains, conversionPreference, copyTo, deserialize, dump, effectiveBooleanValue, endsWith, getCardinality, getDocumentSet, getItemType, getLength, getType, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, promote, removeDuplicates, serialize, serializeValue, setIsCached, setSelfAsContext, startsWith, toJavaObject, toNodeSet, toSAX, toSequence, toString, unorderedIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComputableValue

    public ComputableValue()

Method Detail

### getStringValue

    public abstract java.lang.String getStringValue()
                                             throws XPathException

  Description copied from interface: `Item`
  Return the string value of this item (see the definition of string value in XPath).

  Specified by:
    `getStringValue` in interface `Item`
  Specified by:
    `getStringValue` in class `AtomicValue`
  Throws:
    `XPathException`

### convertTo

    public abstract AtomicValue convertTo(int requiredType)
                                   throws XPathException

  Description copied from interface: `Item`
  Convert this item into an atomic value, whose type corresponds to the specified target type. requiredType should be one of the type constants defined in `Type`. An `XPathException` is thrown if the conversion is impossible.

  Specified by:
    `convertTo` in interface `Item`
  Specified by:
    `convertTo` in class `AtomicValue`
  Throws:
    `XPathException`

### compareTo

    public abstract boolean compareTo(java.text.Collator collator,
                                      int operator,
                                      AtomicValue other)
                               throws XPathException

  Specified by:
    `compareTo` in class `AtomicValue`
  Throws:
    `XPathException`

### compareTo

    public abstract int compareTo(java.text.Collator collator,
                                  AtomicValue other)
                           throws XPathException

  Specified by:
    `compareTo` in class `AtomicValue`
  Throws:
    `XPathException`

### max

    public abstract AtomicValue max(java.text.Collator collator,
                                    AtomicValue other)
                             throws XPathException

  Specified by:
    `max` in class `AtomicValue`
  Throws:
    `XPathException`

### min

    public abstract AtomicValue min(java.text.Collator collator,
                                    AtomicValue other)
                             throws XPathException

  Specified by:
    `min` in class `AtomicValue`
  Throws:
    `XPathException`

### minus

    public abstract ComputableValue minus(ComputableValue other)
                                   throws XPathException

  Throws:
    `XPathException`

### plus

    public abstract ComputableValue plus(ComputableValue other)
                                  throws XPathException

  Throws:
    `XPathException`

### mult

    public abstract ComputableValue mult(ComputableValue other)
                                  throws XPathException

  Throws:
    `XPathException`

### div

    public abstract ComputableValue div(ComputableValue other)
                                 throws XPathException

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.